Name:		minetest
Version:	0.4.13
Release:	%mkrel 1
Summary:	An InfiniMiner/Minecraft inspired game
Group:		Games/Other
License:	LGPLv2+ and CC-BY-SA and MIT
URL:		http://minetest.net
Source0:	%{name}-%{version}.tar.xz
Source1:	%{name}_game-%{version}.tar.xz
Patch0:		minetest-0.4.12-mga-desktop.patch
Patch1:         minetest-0.4.12-mga-deb-i18n.patch
# https://github.com/minetest/minetest/pull/954
#Patch2:   0001-FindJson.cmake-now-will-correctly-find-system-module.patch
# Shared irrlicht (patch from gentoo)
#Patch1:   minetest-0.4.8-shared-irrlicht.patch


BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext-devel
BuildRequires:	%{_lib}irrlicht-devel
BuildRequires:	jpeg-devel
BuildRequires:	zlib-devel
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(leveldb)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(luajit)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(jthread)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(vorbisfile)
BuildRequires:	pkgconfig(x11)

%description
One of the first InfiniMiner/Minecraft inspired games with a goal of taking
the survival multiplayer gameplay to a slightly different direction.

This game is under development, and as of now, the game does not really
differ from Minecraft except for having a lot less features. Still, playing
is quite fun already, especially for people who have not been able to
experience Minecraft.

%prep
%setup -q 
%apply_patches

pushd games
tar xf %{SOURCE1}
#mv %{name}_game-%{version} %{name}_game
popd

%build
%cmake	-DRUN_IN_PLACE=0 \
	-DBUILD_SHARED_LIBS=OFF \
	-DCUSTOM_BINDIR:STRING=%{_gamesbindir} \
	-DCUSTOM_LOCALEDIR:STRING=%{_datadir}/locale \
	-DCUSTOM_SHAREDIR:STRING=%{_gamesdatadir}/%{name} \
	-DENABLE_CURL:BOOL=ON \
	-DENABLE_FREETYPE:BOOL=ON \
	-DENABLE_GETTEXT:BOOL=ON \
	-DENABLE_LEVELDB:BOOL=ON \
	-DENABLE_REDIS:BOOL=OFF \
	-DENABLE_SOUND:BOOL=ON \
	-DJTHREAD_INCLUDE_DIR=%{_includedir}/jthread
%make

%install
%makeinstall_std -C build
install -d %{buildroot}%{_gamesdatadir}/%{name}/games/%{name}_game
cp -r games/%{name}_game-%{version}/* %{buildroot}%{_gamesdatadir}/%{name}/games/%{name}_game
rm -rf %{buildroot}%{_gamesdatadir}/%{name}/client/serverlist/.gitignore

%find_lang %{name}

%files -f %{name}.lang
%doc doc/*.txt
%{_gamesbindir}/%{name}
#%{_gamesbindir}/%{name}server
%{_gamesdatadir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}-icon.svg
%{_mandir}/man6/%{name}.6*
%{_mandir}/man6/%{name}server.6*


%changelog
* Fri Apr 15 2016 ghostbunny <ghostbunny at gmx dot de> 0.4.13-1pclos2016
- 0.4.13
- convert source to tar.xz

* Sat May 09 2015 pinoc <vogtpet at gmail.com> 0.4.12-1pclos2015
- 0.4.12
- updated BR

* Thu Aug 14 2014 pinoc <vogtpet at gmail.com> 0.4.10-1pclos2014
- imported package minetest

